List Tasks
Lists a Business's or Room's Tasks, optionally by Goal or state. Read-only.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Query Parameters
business_id?string
Match
^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$room_id?string
Match
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$goal_id?string
Optional Goal filter.
Match
^gol_[0-7][0-9A-HJKMNP-TV-Z]{25}$status?string
Value in
- "proposed"
- "ready"
- "in_progress"
- "completed"
- "rejected"
- "canceled"
after?string
limit?integer
Range
1 <= value <= 100Default
20Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/tasks" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": [ { "task_id": "string", "business_id": "string", "room_id": "string", "goal_id": "string", "title": "string", "description": "string", "status": "proposed", "proposal_source": "user", "proposal_source_id": "string", "proposed_by": { "type": "user", "id": "string" }, "proposal_reason": "string", "proposal_evidence": [ null ], "decision_reason": "string", "assignee_user_id": "string", "assignee_email": "user@example.com", "kind": "todo", "due_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completion_evidence": [ null ], "completed_at": "2019-08-24T14:15:22Z", "cancellation_reason": "string", "canceled_at": "2019-08-24T14:15:22Z", "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string", "request_id": "string"}